Memberships
GET
/me/memberships
Retrieve a list of all organizations the user is a member of
Parámetros de consulta
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
pageToken
string
The cursor that keeps track of the current position in the results.
status
string
Possible values: banned, invited, active
Cuerpo de la respuesta
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
results
array of object
obligatorio
Mostrar atributos secundarios
results.organization
object
obligatorio
The organization record
Mostrar atributos secundarios
results.organization.id
string
obligatorio
The organization's ID
results.organization.name
string
obligatorio
Organization's display name.
results.organization.slug
string
obligatorio
Human-readable identifier
results.organization.avatarUrl
string
URL to the organization avatar.
results.organization.status
string
obligatorio
Current status
Possible values: active, banned
results.organization.statusReason
string
The reason for the organization's status (if any).
results.organization.pendingMemberCount
integer
How many members are pending to join the organization
results.organization.activeMemberCount
integer
obligatorio
How many members are active
results.organization.owner
string
obligatorio
ID of the user that owns the organization
results.organization.createdAt
string
obligatorio
When the organization was created
results.organization.updatedAt
string
When the organization was last updated
results.organization.managedBy
array of object
List of entities managing the organization
Mostrar atributos secundarios
results.organization.managedBy.Type
string
Type of the entity managing the organization
results.organization.managedBy.ID
string
ID of the entity managing the organization
results.organization.verified
boolean
results.status
string
obligatorio
The status of user's membership on the organization.
Possible values: banned, invited, active
results.createdAt
string
obligatorio
When the membership was created.
results.updatedAt
string
obligatorio
When the membership was last updated.
results.roleIds
array of string
IDs of IAM roles assigned to the user.
results.roleRefs
array of object
The list of roles to assign to the membership
Mostrar atributos secundarios
results.roleRefs.id
string
obligatorio
results.roleRefs.type
string
obligatorio
Possible values: organization, managed
results.roleRefs.workspaces
array of string
results.requiredSsoAuth
boolean
Indicates if SSO Authentication is required for this membership
results.requiredMfaAuth
boolean
Indicates if MFA Authentication is required for this membership
results.attributes
object
Additional attributes for the membership
Ejemplo de código
curl -X GET 'https://api.bird.com/me/memberships' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/me/memberships/{organizationId}
Retrieve a single organization membership object.
Cuerpo de la respuesta
organization
object
obligatorio
The organization record
Mostrar atributos secundarios
organization.id
string
obligatorio
The organization's ID
organization.name
string
obligatorio
Organization's display name.
organization.slug
string
obligatorio
Human-readable identifier
organization.avatarUrl
string
URL to the organization avatar.
organization.status
string
obligatorio
Current status
Possible values: active, banned
organization.statusReason
string
The reason for the organization's status (if any).
organization.pendingMemberCount
integer
How many members are pending to join the organization
organization.activeMemberCount
integer
obligatorio
How many members are active
organization.owner
string
obligatorio
ID of the user that owns the organization
organization.createdAt
string
obligatorio
When the organization was created
organization.updatedAt
string
When the organization was last updated
organization.managedBy
array of object
List of entities managing the organization
Mostrar atributos secundarios
organization.managedBy.Type
string
Type of the entity managing the organization
organization.managedBy.ID
string
ID of the entity managing the organization
organization.verified
boolean
status
string
obligatorio
The status of user's membership on the organization.
Possible values: banned, invited, active
createdAt
string
obligatorio
When the membership was created.
updatedAt
string
obligatorio
When the membership was last updated.
roleIds
array of string
IDs of IAM roles assigned to the user.
roleRefs
array of object
The list of roles to assign to the membership
Mostrar atributos secundarios
roleRefs.id
string
obligatorio
roleRefs.type
string
obligatorio
Possible values: organization, managed
roleRefs.workspaces
array of string
requiredSsoAuth
boolean
Indicates if SSO Authentication is required for this membership
requiredMfaAuth
boolean
Indicates if MFA Authentication is required for this membership
attributes
object
Additional attributes for the membership
Ejemplo de código
curl -X GET 'https://api.bird.com/me/memberships/{organizationId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/me/memberships/{organizationId}
Accept a pending invitation to join the organization.
Cuerpo de la respuesta
organization
object
obligatorio
The organization record
Mostrar atributos secundarios
organization.id
string
obligatorio
The organization's ID
organization.name
string
obligatorio
Organization's display name.
organization.slug
string
obligatorio
Human-readable identifier
organization.avatarUrl
string
URL to the organization avatar.
organization.status
string
obligatorio
Current status
Possible values: active, banned
organization.statusReason
string
The reason for the organization's status (if any).
organization.pendingMemberCount
integer
How many members are pending to join the organization
organization.activeMemberCount
integer
obligatorio
How many members are active
organization.owner
string
obligatorio
ID of the user that owns the organization
organization.createdAt
string
obligatorio
When the organization was created
organization.updatedAt
string
When the organization was last updated
organization.managedBy
array of object
List of entities managing the organization
Mostrar atributos secundarios
organization.managedBy.Type
string
Type of the entity managing the organization
organization.managedBy.ID
string
ID of the entity managing the organization
organization.verified
boolean
status
string
obligatorio
The status of user's membership on the organization.
Possible values: banned, invited, active
createdAt
string
obligatorio
When the membership was created.
updatedAt
string
obligatorio
When the membership was last updated.
roleIds
array of string
IDs of IAM roles assigned to the user.
roleRefs
array of object
The list of roles to assign to the membership
Mostrar atributos secundarios
roleRefs.id
string
obligatorio
roleRefs.type
string
obligatorio
Possible values: organization, managed
roleRefs.workspaces
array of string
requiredSsoAuth
boolean
Indicates if SSO Authentication is required for this membership
requiredMfaAuth
boolean
Indicates if MFA Authentication is required for this membership
attributes
object
Additional attributes for the membership
Ejemplo de código
curl -X POST 'https://api.bird.com/me/memberships/{organizationId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/me/memberships/{organizationId}
Remove the membership from the organization for the current user
Ejemplo de código
curl -X DELETE 'https://api.bird.com/me/memberships/{organizationId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'